### Class

# Gcr FilterCollection

#### Description [src]

    class Gcr.FilterCollection : GObject.Object
      implements Gcr.Collection {
      /* No available fields */
    }

A collection which filters a `GcrCollection`.

An implementation of `GcrCollection` which filters objects from another underlying collection. Use `gcr_filter_collection_new_with_callback()` to create a new filter collection.

The callback will determine the criteria for whether an object shows through the filter or not.

#### Ancestors

- GObject

#### Implements

- GcrCollection

#### Constructors

###### gcr_filter_collection_new_with_callback

Create a new `GcrFilterCollection`.

#### Instance methods

###### gcr_filter_collection_get_underlying

Get the collection that is being filtered by this filter collection.

###### gcr_filter_collection_refilter

Refilter all objects in the underlying collection. Call this function if the filter callback function changes its filtering criteria.

###### gcr_filter_collection_set_callback

Set the callback used to filter the objects in the underlying collection. The callback should return `TRUE` if an object should appear in the filtered collection.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GcrCollection (5)

###### gcr_collection_contains

Check whether the collection contains an object or not.

###### gcr_collection_emit_added

Emit the `GcrCollection::added` signal for the given object. This function is used by implementors of this interface.

###### gcr_collection_emit_removed

Emit the `GcrCollection::removed` signal for the given object. This function is used by implementors of this interface.

###### gcr_collection_get_length

Get the number of objects in this collection.

###### gcr_collection_get_objects

Get a list of the objects in this collection.

#### Properties

###### Gcr.FilterCollection:underlying

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GcrCollection (2)

###### GcrCollection::added

This signal is emitted when an object is added to the collection.

###### GcrCollection::removed

This signal is emitted when an object is removed from the collection.

#### Class structure

    struct GcrFilterCollectionClass {
      GObjectClass parent_class;

    }

The class struct for `GcrFilterCollection`.

###### Class members

`parent_class: GObjectClass`

  The parent class.